export default (function (_ref) {
  var formatMessage = _ref.formatMessage,
      intlPrefix = _ref.intlPrefix;
  return {
    selection: false,
    pageSize: 10,
    transport: {
      read: {
        method: 'get'
      }
    },
    fields: [{
      name: 'nodeName',
      label: formatMessage({
        id: "".concat(intlPrefix, ".node.ip")
      })
    }, {
      name: 'status',
      type: 'string',
      label: formatMessage({
        id: "".concat(intlPrefix, ".node.status")
      })
    }, {
      name: 'role',
      type: 'string',
      label: formatMessage({
        id: "".concat(intlPrefix, ".node.type")
      })
    }, {
      name: 'createTime',
      type: 'string',
      label: formatMessage({
        id: 'createDate'
      })
    }]
  };
});